package com.pj.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 一级市场订单表
 * @Author Mechrevo
 * @Date 2023 08 07 11 51
 **/
public class OrderDto {
    /**
     * 边民或组长取消订单(0=未取消,1=已取消)
     */
    private Integer cancelPeople;

    /**
     * 申报单号
     */
    private Long applyNo;


    public Long getApplyNo() {
        return applyNo;
    }

    public void setApplyNo(Long applyNo) {
        this.applyNo = applyNo;
    }

    public Integer getCancelPeople() {
        return cancelPeople;
    }

    public void setCancelPeople(Integer cancelPeople) {
        this.cancelPeople = cancelPeople;
    }

    public OrderDto() {
    }


    private Long id;

    /**
     *
     */
    private Long tradeAreaId;

    /**
     *
     */
    private String tradeAreaName;

    /**
     *
     */
    private String addressIds;

    /**
     *
     */
    private Long saleMainId;
    /**
     *
     */
    private Long groupId;

    /**
     *  商品ID
     */
    private Long goodsId;

    /**
     * 订单号
     */
    private String tradeNo;

    /**
     * 买家ID
     */
    private Long buyUserId;

    /**
     * 买家
     */
    private String buyUserName;

    /**
     * 购买用户类型(3=边民,2=组长)
     */
    private String buyUserType;

    /**
     * 商家ID
     */
    private Long enterpriseId;

    /**
     * 商家名称
     */
    private String enterpriseName;

    /**
     * 总重量
     */
    private Double totalWeight;

    /**
     * 总金额
     */
    private Double totalPrice;

    /**
     * 交易时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date tradeTime;

    /**
     * 交易状态(0=未支付,1=已支付)
     */
    private Integer tradeStatus;

    /**
     * 支付方式(0=金融互助,1=现金刷卡)
     */
    private Integer payType;

    /**
     * 结算时间
     */
    private String settleTime;

    /**
     * 当前结算金额
     */
    private Double realPrice;

    /**
     * 应结金额
     */
    private Double shouldPrice;

    /**
     * 叫车状态[默认是0=待叫车,1=已叫车,2=完成叫车]
     */
    private Integer callCarStatus;

    public Integer getCallCarStatus() {
        return callCarStatus;
    }

    public void setCallCarStatus(Integer callCarStatus) {
        this.callCarStatus = callCarStatus;
    }


    /**
     * 对账人
     */
    private Long settleUserId;

    /**
     * 对账人员
     */
    private Long recordUserId;

    /**
     * 对账时间
     */
    private String recordTime;

    /**
     * 是否对账(0=否,)
     */
    private String record;

    /**
     * 退款原因
     */
    private String refundReason;

    /**
     * 退款时间
     */
    private String refundTime;

    /**
     *
     */
    private String receiveName;

    /**
     *
     */
    private String receivePhone;

    /**
     *
     */
    private String receiveAddress;

    /**
     * 出互市区时间
     */
    private String outTime;

    /**
     * 商品名称字符串
     */
    private String goodsNames;

    /**
     * 是否申报
     */
    private Integer apply;

    /**
     * 申报时间
     */
    private Date applyTime;

    /**
     * 申报结果
     */
    private String applyResult;

    /**
     *
     */
    private String applyFailReason;

    /**
     * 分配方式(0=均分,1=自选数量)
     */
    private String distribution;

    /**
     * 一级市场边民确认状态(0=待确认,1=是)
     */
    private Integer peopleConfirmStatus;
    /**
     * 一级市场边民确认类型(1=刷脸,2=指纹)
     */
    private Integer peopleConfirmType;
    /**
     * 一级市场边民确认时间
     */
    private Date peopleConfirmTime;

    /**
     * 一级市场商户确认(0=待确认,1=是,2=否)[j]
     */
    private Integer enterpriseConfirm;

    /**
     * 边民进口申报确认状态(0=待确认,1=是)
     */
    private Integer applyConfirmStatus;
    /**
     * 边民进口申报确认时间
     */
    private Date applyConfirmTime;

    /**
     * 是否接单
     */
    private String pick;

    /**
     * 接单时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss SSS")
    private Date pickTime;

    /**
     *
     */
    private Long shopId;

    /**
     *
     */
    private String shopName;

    /**
     * 是否发货
     */
    private Integer send;

    /**
     * 发货时间
     */
    private String sendTime;

    /**
     * 大订单ID
     */
    private Long collageOrdersId;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    /**
     * 创建人编号
     */
    private Long createBy;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;

    /**
     * 更新人编号
     */
    private Long updateBy;

    /**
     * 更新人名称
     */
    private String updateName;

    /**
     * 删除状态(0=禁用,1=启用)
     */
    private Integer deleteStatus;

    /**
     * 订单状态(0=未完成,1=已完成)
     */
    private Integer finishStatus;

    /**
     * 是否转售(0=未转售,1=已转售)
     */
    private Integer resaleStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTradeAreaId() {
        return tradeAreaId;
    }

    public void setTradeAreaId(Long tradeAreaId) {
        this.tradeAreaId = tradeAreaId;
    }

    public String getTradeAreaName() {
        return tradeAreaName;
    }

    public void setTradeAreaName(String tradeAreaName) {
        this.tradeAreaName = tradeAreaName;
    }

    public String getAddressIds() {
        return addressIds;
    }

    public void setAddressIds(String addressIds) {
        this.addressIds = addressIds;
    }

    public Long getSaleMainId() {
        return saleMainId;
    }

    public void setSaleMainId(Long saleMainId) {
        this.saleMainId = saleMainId;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public Long getBuyUserId() {
        return buyUserId;
    }

    public void setBuyUserId(Long buyUserId) {
        this.buyUserId = buyUserId;
    }

    public String getBuyUserName() {
        return buyUserName;
    }

    public void setBuyUserName(String buyUserName) {
        this.buyUserName = buyUserName;
    }

    public String getBuyUserType() {
        return buyUserType;
    }

    public void setBuyUserType(String buyUserType) {
        this.buyUserType = buyUserType;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public Double getTotalWeight() {
        return totalWeight;
    }

    public void setTotalWeight(Double totalWeight) {
        this.totalWeight = totalWeight;
    }

    public Double getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(Double totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Date getTradeTime() {
        return tradeTime;
    }

    public void setTradeTime(Date tradeTime) {
        this.tradeTime = tradeTime;
    }

    public Integer getTradeStatus() {
        return tradeStatus;
    }

    public void setTradeStatus(Integer tradeStatus) {
        this.tradeStatus = tradeStatus;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getSettleTime() {
        return settleTime;
    }

    public void setSettleTime(String settleTime) {
        this.settleTime = settleTime;
    }

    public Double getRealPrice() {
        return realPrice;
    }

    public void setRealPrice(Double realPrice) {
        this.realPrice = realPrice;
    }

    public Double getShouldPrice() {
        return shouldPrice;
    }

    public void setShouldPrice(Double shouldPrice) {
        this.shouldPrice = shouldPrice;
    }

    public Long getSettleUserId() {
        return settleUserId;
    }

    public void setSettleUserId(Long settleUserId) {
        this.settleUserId = settleUserId;
    }

    public Long getRecordUserId() {
        return recordUserId;
    }

    public void setRecordUserId(Long recordUserId) {
        this.recordUserId = recordUserId;
    }

    public String getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(String recordTime) {
        this.recordTime = recordTime;
    }

    public String getRecord() {
        return record;
    }

    public void setRecord(String record) {
        this.record = record;
    }

    public String getRefundReason() {
        return refundReason;
    }

    public void setRefundReason(String refundReason) {
        this.refundReason = refundReason;
    }

    public String getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(String refundTime) {
        this.refundTime = refundTime;
    }

    public String getReceiveName() {
        return receiveName;
    }

    public void setReceiveName(String receiveName) {
        this.receiveName = receiveName;
    }

    public String getReceivePhone() {
        return receivePhone;
    }

    public void setReceivePhone(String receivePhone) {
        this.receivePhone = receivePhone;
    }

    public String getReceiveAddress() {
        return receiveAddress;
    }

    public void setReceiveAddress(String receiveAddress) {
        this.receiveAddress = receiveAddress;
    }

    public String getOutTime() {
        return outTime;
    }

    public void setOutTime(String outTime) {
        this.outTime = outTime;
    }

    public String getGoodsNames() {
        return goodsNames;
    }

    public void setGoodsNames(String goodsNames) {
        this.goodsNames = goodsNames;
    }

    public Integer getApply() {
        return apply;
    }

    public void setApply(Integer apply) {
        this.apply = apply;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getApplyResult() {
        return applyResult;
    }

    public void setApplyResult(String applyResult) {
        this.applyResult = applyResult;
    }

    public String getApplyFailReason() {
        return applyFailReason;
    }

    public void setApplyFailReason(String applyFailReason) {
        this.applyFailReason = applyFailReason;
    }

    public String getDistribution() {
        return distribution;
    }

    public void setDistribution(String distribution) {
        this.distribution = distribution;
    }

    public Integer getPeopleConfirmStatus() {
        return peopleConfirmStatus;
    }

    public void setPeopleConfirmStatus(Integer peopleConfirmStatus) {
        this.peopleConfirmStatus = peopleConfirmStatus;
    }

    public Integer getPeopleConfirmType() {
        return peopleConfirmType;
    }

    public void setPeopleConfirmType(Integer peopleConfirmType) {
        this.peopleConfirmType = peopleConfirmType;
    }

    public Date getPeopleConfirmTime() {
        return peopleConfirmTime;
    }

    public void setPeopleConfirmTime(Date peopleConfirmTime) {
        this.peopleConfirmTime = peopleConfirmTime;
    }

    public Integer getEnterpriseConfirm() {
        return enterpriseConfirm;
    }

    public void setEnterpriseConfirm(Integer enterpriseConfirm) {
        this.enterpriseConfirm = enterpriseConfirm;
    }

    public String getPick() {
        return pick;
    }

    public void setPick(String pick) {
        this.pick = pick;
    }

    public Date getPickTime() {
        return pickTime;
    }

    public void setPickTime(Date pickTime) {
        this.pickTime = pickTime;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public Integer getSend() {
        return send;
    }

    public void setSend(Integer send) {
        this.send = send;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public Long getCollageOrdersId() {
        return collageOrdersId;
    }

    public void setCollageOrdersId(Long collageOrdersId) {
        this.collageOrdersId = collageOrdersId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public Integer getFinishStatus() {
        return finishStatus;
    }

    public void setFinishStatus(Integer finishStatus) {
        this.finishStatus = finishStatus;
    }

    public Integer getResaleStatus() {
        return resaleStatus;
    }

    public void setResaleStatus(Integer resaleStatus) {
        this.resaleStatus = resaleStatus;
    }

    public Integer getApplyConfirmStatus() {
        return applyConfirmStatus;
    }

    public void setApplyConfirmStatus(Integer applyConfirmStatus) {
        this.applyConfirmStatus = applyConfirmStatus;
    }

    public Date getApplyConfirmTime() {
        return applyConfirmTime;
    }

    public void setApplyConfirmTime(Date applyConfirmTime) {
        this.applyConfirmTime = applyConfirmTime;
    }
}
