package com.pj.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author Mechrevo
 * @Date 2023 08 25 13 03
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DataDto {

    /**
     * 报文 ID，唯一标识，每个报文的 ID 都不一样
     */
    @JsonProperty("msgId")
    private String msgId;

    /**
     * 接入方 ID
     */
    @JsonProperty("appId")
    private String appId;

    /**
     * 报文类型
     */
    @JsonProperty("dataType")
    private String dataType;

    /**
     *  报文生成时间
     */
    @JsonProperty("msgTime")
    private String msgTime;

    /**
     * 签名
     */
    @JsonProperty("sign")
    private String sign;

    /**
     * 报文内容密文
     */
    @JsonProperty("data")
    private String data;
}
