package com.pj.listen;

import com.pj.enummj.FinishStatus;
import com.pj.ht_byte.HtByte;
import com.pj.ht_byte.HtByteMapper;
import com.pj.rabbitmq.RabbitMQ;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 08 25 12 30
 **/
@Component
public class BaseInfoListen {

    /**
     * 保存航通传过来的字节
     */
    @Autowired
    private HtByteMapper htByteMapper;

    /**
     * 接收: 信息同步
     * @param json
     */
    @RabbitListener(queuesToDeclare = @Queue(RabbitMQ.TEST_ACCEPT_QUEUE))
    public void accept(Message json){
        System.out.println("\n接收:信息同步\n");
        byte[] content = json.getBody();
        //保存到数据库
        String jsonString = new String(content);
        htByteMapper.insert(new HtByte(null,jsonString,RabbitMQ.TEST_ACCEPT_QUEUE, FinishStatus.FINISH_STATUS_ZERO.getCode(),new Date()));
        System.out.println("\n消息同步完成。\n");

    }


}
