package com.pj.tb_collage_orders;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_collage_orders -- 拼单订单表
 * @author linbl
 */
@Data
@Accessors(chain = true)
@TableName(TbCollageOrders.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbCollageOrders extends Model<TbCollageOrders> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 此模块对应的表名
	 */
	public static final String TABLE_NAME = "tb_collage_orders";
	/**
	 * 此模块对应的权限码
	 */
	public static final String PERMISSION_CODE = "tb-collage-orders";
	public static final String PERMISSION_CODE_ADD = "tb-collage-orders-add";
	public static final String PERMISSION_CODE_EDIT = "tb-collage-orders-edit";
	public static final String PERMISSION_CODE_DEL = "tb-collage-orders-del";




	// ---------- 表中字段 ----------
	/**
	 * 拼单订单表主键
	 */
	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 * 贸易区域id
	 */
	private Long tradeAreaId;

	/**
	 * 贸易区域名称
	 */
	private String tradeAreaName;

	/**
	 * 订单编号
	 */
	private String orderNo;

	/**
	 * 合作社ID
	 */
	private String cooperativeId;

	/**
	 * 合作社名称
	 */
	private String cooperativeName;

	/**
	 * 总金额
	 */
	private Double totalPrice;

	/**
	 * 进境边民确认
	 */
	private String entryPeopleStatus;

	/**
	 * 进境组长确认
	 */
	private String entryLeaderStatus;

	/**
	 * 进境报关企业确认
	 */
	private String entryCustomsStatus;

	/**
	 * 进境申报单号
	 */
	private String entryNo;

	/**
	 * 进境申报时间
	 */
	private String entryTime;

	/**
	 * 进境申报结果
	 */
	private String entryResult;

	/**
	 * 进境申报失败理由
	 */
	private String entryFailReason;

	/**
	 * 进口边民确认
	 */
	private String importPeopleStatus;

	/**
	 * 进口组长确认
	 */
	private String importLeaderStatus;

	/**
	 * 进口申报单号
	 */
	private String importNo;

	/**
	 * 进口申报时间
	 */
	private String importTime;

	/**
	 * 是否收货
	 */
	private String isDelivery;

	/**
	 * 订单完成状态(0=未完成,1=已完成)
	 */
	private String orderFinish;

	/**
	 * 司机ID
	 */
	private Long driverId;

	/**
	 * 司机名称
	 */
	private String driverName;

	/**
	 * 司机电话
	 */
	private String driverPhone;

	/**
	 * 车ID
	 */
	private Long carId;

	/**
	 * 车名称
	 */
	private String carType;

	/**
	 * 车牌号
	 */
	private String vehiclePlate;

	/**
	 * 装货地址
	 */
	private String loadingAddress;

	/**
	 * 卸货地址
	 */
	private String unloadingAddress;

	/**
	 * 创建人编号
	 */
	private Long createBy;

	/**
	 * 创建人名称
	 */
	private String createName;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 更新人编号
	 */
	private Long updateBy;

	/**
	 * 更新人名称
	 */
	private String updateName;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 删除状态(0=禁用,1=启用)
	 */
	private String deleteStatus;








}
