package com.pj.tb_cooperative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * Model: tb_cooperative -- 合作社
 * @author yzs 
 */
@Data
@Accessors(chain = true)
@TableName(TbCooperative.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbCooperative extends Model<TbCooperative> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_cooperative";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-cooperative";
	public static final String PERMISSION_CODE_ADD = "tb-cooperative-add";
	public static final String PERMISSION_CODE_EDIT = "tb-cooperative-edit";
	public static final String PERMISSION_CODE_DEL = "tb-cooperative-del";




	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * 法人代表姓名 
	 */
	private String correpName;	

	/**
	 * 身份证号 
	 */
	private String ciphertextIdno;	

	/**
	 * 手机号码 
	 */
	private String correpTel;	

	/**
	 * 营业执照 
	 */
	private String businessLicense;	

	/**
	 * 银行名称 
	 */
	private String bankName;	

	/**
	 * 银行账号 
	 */
	private String bankAccount;	

	/**
	 * 税号 
	 */
	private String dutyParagraph;	

	/**
	 * 审核状态(0=未通过,1=已通过,2=审核不通过) 
	 */
	private String judgeStatus;	

	/**
	 * 审核意见 
	 */
	private String judgeContent;	

	/**
	 * 上次审核时间 
	 */
	private Date judgeTime;	

	/**
	 * 注册时间 
	 */
	private Date registerTime;	

	/**
	 * 创建时间 
	 */
	private Date createTime;

	/**
	 * 创建人编号 
	 */
	private String createBy;	

	/**
	 * 创建人名称 
	 */
	private String createName;	

	/**
	 * 更新时间 
	 */
	private Date updateTime;

	/**
	 * 更新人编号 
	 */
	private String updateBy;	

	/**
	 * 更新人名称 
	 */
	private String updateName;	

	/**
	 * 删除状态(0=禁用,1=启用) 
	 */
	private Integer deleteStatus;	

	/**
	 * 0=锁住 1=启用 
	 */
	private String isLock;	

	/**
	 * 审核人 
	 */
	private String judgeBy;	

	/**
	 * 贸易区域ID 
	 */
	private Long tradeAreaId;	

	/**
	 * 贸易区域名称 
	 */
	private String tradeAreaName;	

	/**
	 * 地方平台的内部业务编号，每次申请都是新编号 
	 */
	private String platSeqNo;	

	/**
	 * 关区代码 
	 */
	private String customsCode;	

	/**
	 *  合作社名称 
	 */
	private String orgName;	

	/**
	 * 社会统一信用代码 证 （ 业 务 主键，变更时该字段不允许修改） 
	 */
	private String orgSccd;	

	/**
	 * 成立日期 
	 */
	private String createDate;	

	/**
	 * 所属边境市（县、区）乡镇村屯名称 
	 */
	private String address;	

	/**
	 * 启停用状态：1- 启用、2-停用、3-注销 
	 */
	private String eDStatus;	

	/**
	 * 有效效截止时间yyyy-MM-dd 
	 */
	private String expiry;	

	/**
	 * 备案编号，如果为新增备案，传空值；如果为变更备案，必须传值； 
	 */
	private String putrecNo;	

	/**
	 * 地方政府编号 
	 */
	private String localGovernmentNo;	

	/**
	 * 监管场所编号 
	 */
	private String fieldCode;	

	/**
	 * 监管场所名称 
	 */
	private String fieldName;	

	/**
	 * 申报状态 D0，暂存，D1 发往海关,D2-发往海关成功， D3-发往海关失败，Y-海关入库成功，N- 海关入库失败，04 退单， 03 通过 
	 */
	private String declStatus;	

	/**
	 * 边民信息集合List<E> borderList 
	 */
	private String borderList;	

	/**
	 * 合作社代表信息 
	 */
	private String dclBorderList;	





	


}
