package com.pj.tb_goods_cart.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @Author Mechrevo
 * @Date 2023 07 26 10 38
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class GoodsCartInfoDto {

    /** 购买者ID(组长/个人) */
    @NotNull(message = "购买者ID必填")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long buyUserId;
    /** 商家ID */
    @NotNull(message = "商家ID必填")
    private Long enterpriseId;
    /** 店铺ID */
    //todo: 届时打开商铺ID必填
//    @NotNull(message = "店铺ID必填")
    private Long shopId;
    /** 购买地点ID */
    @NotNull(message = "区域ID必填")
    private Long tradeAreaId;
    /** goodsTransit商品ID */
    @NotNull(message = "goodstransitID必填")
    private Long publishGoodsId;
    /** 商品图片 */
    @NotNull(message = "商品图片")
    private String goodsImg;
    /** 商品名称 */
    @NotNull(message = "商品名称必填")
    private String goodsName;
//    /**  */
    private Double buyWeight;

}
