package com.pj.tb_goods_units;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_goods_units -- 商品单位
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbGoodsUnits.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbGoodsUnits extends Model<TbGoodsUnits> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_goods_units";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-goods-units";
	public static final String PERMISSION_CODE_ADD = "tb-goods-units-add";
	public static final String PERMISSION_CODE_EDIT = "tb-goods-units-edit";
	public static final String PERMISSION_CODE_DEL = "tb-goods-units-del";




	// ---------- 表中字段 ----------
	/**
	 * 商品主键 
	 */
	@TableId(type = IdType.AUTO)
	@JsonSerialize(using = ToStringSerializer.class)
	private Long id;	

	/**
	 * 商品单位编号 
	 */
	private String unitsNo;	

	/**
	 * 管理商品的单位，比如吨、kg、个、柜；主要字段，名称，编号 
	 */
	private String units;	





	


}
