//package com.pj.tb_order;
//
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import com.pj.utils.sg.*;
//import java.util.*;
//
///**
// * 工具类：tb_order -- 订单表
// * @author loovi
// *
// */
//@Component
//public class TbOrderUtil {
//
//
//	/** 底层 Mapper 对象 */
//	public static TbOrderMapper tbOrderMapper;
//	@Autowired
//	private void setTbOrderMapper(TbOrderMapper tbOrderMapper) {
//		TbOrderUtil.tbOrderMapper = tbOrderMapper;
//	}
//
//
//	/**
//	 * 将一个 TbOrder 对象进行进行数据完整性校验 (方便add/update等接口数据校验) [G]
//	 */
//	static void check(TbOrder t) {
//		AjaxError.throwByIsNull(t.getId(), "[主键] 不能为空");		// 验证: 主键
//		AjaxError.throwByIsNull(t.getTradeAreaId(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getTradeAreaName(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getAddressIds(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getSaleMainId(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getTradeNo(), "[订单号] 不能为空");		// 验证: 订单号
//		AjaxError.throwByIsNull(t.getBuyUserId(), "[买家ID] 不能为空");		// 验证: 买家ID
//		AjaxError.throwByIsNull(t.getBuyUserName(), "[买家] 不能为空");		// 验证: 买家
//		AjaxError.throwByIsNull(t.getBuyUserType(), "[购买用户类型] 不能为空");		// 验证: 购买用户类型(3=边民,2=组长)
//		AjaxError.throwByIsNull(t.getEnterpriseId(), "[商家ID] 不能为空");		// 验证: 商家ID
//		AjaxError.throwByIsNull(t.getEnterpriseName(), "[商家名称] 不能为空");		// 验证: 商家名称
//		AjaxError.throwByIsNull(t.getTotalWeight(), "[总重量] 不能为空");		// 验证: 总重量
//		AjaxError.throwByIsNull(t.getTotalPrice(), "[总金额] 不能为空");		// 验证: 总金额
//		AjaxError.throwByIsNull(t.getTradeTime(), "[交易时间] 不能为空");		// 验证: 交易时间
//		AjaxError.throwByIsNull(t.getTradeStatus(), "[交易状态] 不能为空");		// 验证: 交易状态(0=未支付,1=已支付)
//		AjaxError.throwByIsNull(t.getPayType(), "[支付方式] 不能为空");		// 验证: 支付方式(0=金融互助,1=现金刷卡)
//		AjaxError.throwByIsNull(t.getSettleTime(), "[结算时间] 不能为空");		// 验证: 结算时间
//		AjaxError.throwByIsNull(t.getRealPrice(), "[当前结算金额] 不能为空");		// 验证: 当前结算金额
//		AjaxError.throwByIsNull(t.getShouldPrice(), "[应结金额] 不能为空");		// 验证: 应结金额
//		AjaxError.throwByIsNull(t.getSettleUserId(), "[对账人] 不能为空");		// 验证: 对账人
//		AjaxError.throwByIsNull(t.getRecordUserId(), "[对账人员] 不能为空");		// 验证: 对账人员
//		AjaxError.throwByIsNull(t.getRecordTime(), "[对账时间] 不能为空");		// 验证: 对账时间
//		AjaxError.throwByIsNull(t.getRecord(), "[是否对账] 不能为空");		// 验证: 是否对账(0=否,)
//		AjaxError.throwByIsNull(t.getRefundReason(), "[退款原因] 不能为空");		// 验证: 退款原因
//		AjaxError.throwByIsNull(t.getRefundTime(), "[退款时间] 不能为空");		// 验证: 退款时间
//		AjaxError.throwByIsNull(t.getReceiveName(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getReceivePhone(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getReceiveAddress(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getOutTime(), "[出互市区时间] 不能为空");		// 验证: 出互市区时间
//		AjaxError.throwByIsNull(t.getGoodsNames(), "[商品名称字符串] 不能为空");		// 验证: 商品名称字符串
//		AjaxError.throwByIsNull(t.getApply(), "[是否申报] 不能为空");		// 验证: 是否申报
//		AjaxError.throwByIsNull(t.getApplyTime(), "[申报时间] 不能为空");		// 验证: 申报时间
//		AjaxError.throwByIsNull(t.getApplyResult(), "[申报结果] 不能为空");		// 验证: 申报结果
//		AjaxError.throwByIsNull(t.getApplyFailReason(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getDistribution(), "[分配方式] 不能为空");		// 验证: 分配方式(0=均分,1=自选数量)
//		AjaxError.throwByIsNull(t.getConfirm(), "[是否确认] 不能为空");		// 验证: 是否确认(0=否,1=是)
//		AjaxError.throwByIsNull(t.getPick(), "[是否接单] 不能为空");		// 验证: 是否接单
//		AjaxError.throwByIsNull(t.getPickTime(), "[接单时间] 不能为空");		// 验证: 接单时间
//		AjaxError.throwByIsNull(t.getShopId(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getShopName(), "[] 不能为空");		// 验证:
//		AjaxError.throwByIsNull(t.getSend(), "[是否发货] 不能为空");		// 验证: 是否发货
//		AjaxError.throwByIsNull(t.getSendTime(), "[发货时间] 不能为空");		// 验证: 发货时间
//		AjaxError.throwByIsNull(t.getLevelTwoOrderId(), "[对应二级市场中的收购单ID] 不能为空");		// 验证: 对应二级市场中的收购单ID
//		AjaxError.throwByIsNull(t.getCreateTime(), "[创建时间] 不能为空");		// 验证: 创建时间
//		AjaxError.throwByIsNull(t.getCreateBy(), "[创建人编号] 不能为空");		// 验证: 创建人编号
//		AjaxError.throwByIsNull(t.getCreateName(), "[创建人名称] 不能为空");		// 验证: 创建人名称
//		AjaxError.throwByIsNull(t.getUpdateTime(), "[更新时间] 不能为空");		// 验证: 更新时间
//		AjaxError.throwByIsNull(t.getUpdateBy(), "[更新人编号] 不能为空");		// 验证: 更新人编号
//		AjaxError.throwByIsNull(t.getUpdateName(), "[更新人名称] 不能为空");		// 验证: 更新人名称
//		AjaxError.throwByIsNull(t.getDeleteStatus(), "[删除状态] 不能为空");		// 验证: 删除状态(0=禁用,1=启用)
//	}
//
//	/**
//	 * 获取一个TbOrder (方便复制代码用) [G]
//	 */
//	static TbOrder getTbOrder() {
//		TbOrder t = new TbOrder();	// 声明对象
//		t.setId(0L);		// 主键
//		t.setTradeAreaId(0L);		//
//		t.setTradeAreaName("");		//
//		t.setAddressIds("");		//
//		t.setSaleMainId(0L);		//
//		t.setTradeNo("");		// 订单号
//		t.setBuyUserId(0L);		// 买家ID
//		t.setBuyUserName("");		// 买家
//		t.setBuyUserType("");		// 购买用户类型(3=边民,2=组长)
//		t.setEnterpriseId(0L);		// 商家ID
//		t.setEnterpriseName("");		// 商家名称
//		t.setTotalWeight(0.0);		// 总重量
//		t.setTotalPrice(0.0);		// 总金额
//		t.setTradeTime(new Date());		// 交易时间
//		t.setTradeStatus("");		// 交易状态(0=未支付,1=已支付)
//		t.setPayType("");		// 支付方式(0=金融互助,1=现金刷卡)
//		t.setSettleTime("");		// 结算时间
//		t.setRealPrice(0.0);		// 当前结算金额
//		t.setShouldPrice(0.0);		// 应结金额
//		t.setSettleUserId(0L);		// 对账人
//		t.setRecordUserId(0L);		// 对账人员
//		t.setRecordTime("");		// 对账时间
//		t.setRecord("");		// 是否对账(0=否,)
//		t.setRefundReason("");		// 退款原因
//		t.setRefundTime("");		// 退款时间
//		t.setReceiveName("");		//
//		t.setReceivePhone("");		//
//		t.setReceiveAddress("");		//
//		t.setOutTime("");		// 出互市区时间
//		t.setGoodsNames("");		// 商品名称字符串
//		t.setApply("");		// 是否申报
//		t.setApplyTime("");		// 申报时间
//		t.setApplyResult("");		// 申报结果
//		t.setApplyFailReason("");		//
//		t.setDistribution("");		// 分配方式(0=均分,1=自选数量)
//		t.setConfirm("");		// 是否确认(0=否,1=是)
//		t.setPick("");		// 是否接单
//		t.setPickTime("");		// 接单时间
//		t.setShopId(0L);		//
//		t.setShopName("");		//
//		t.setSend("");		// 是否发货
//		t.setSendTime("");		// 发货时间
//		t.setLevelTwoOrderId(0L);		// 对应二级市场中的收购单ID
//		t.setCreateTime("");		// 创建时间
//		t.setCreateBy("");		// 创建人编号
//		t.setCreateName("");		// 创建人名称
//		t.setUpdateTime("");		// 更新时间
//		t.setUpdateBy("");		// 更新人编号
//		t.setUpdateName("");		// 更新人名称
//		t.setDeleteStatus(0);		// 删除状态(0=禁用,1=启用)
//		return t;
//	}
//
//
//
//
//
//}
