package com.pj.tb_trade_area;

import java.io.Serializable;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_trade_area -- 互市区
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbTradeArea.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbTradeArea extends Model<TbTradeArea> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_trade_area";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-trade-area";
	public static final String PERMISSION_CODE_ADD = "tb-trade-area-add";
	public static final String PERMISSION_CODE_EDIT = "tb-trade-area-edit";
	public static final String PERMISSION_CODE_DEL = "tb-trade-area-del";




	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	@JsonSerialize(using = ToStringSerializer.class)
	private Long id;

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 *  
	 */
	private String addressIds;	

	/**
	 * 地址详情 
	 */
	private String detailAddress;	

	/**
	 * 地址 
	 */
	private String address;	

	/**
	 * 创建时间 
	 */
	private Date createTime;

	/**
	 * 创建者id 
	 */
	private String createBy;	

	/**
	 * 创建者名称 
	 */
	private String createName;	

	/**
	 * 更新者id 
	 */
	private String updateBy;	

	/**
	 * 更新者名称 
	 */
	private String updateName;	

	/**
	 * 更新时间 
	 */
	private Date updateTime;

	/**
	 * 删除状态 
	 */
	private Integer deleteStatus;





	


}
