package com.pj.tb_demand_quotation;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_demand_quotation -- 一级市场组长需求报价表
 * @author yzs
 */
@Data
@Accessors(chain = true)
@TableName(TbDemandQuotation.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbDemandQuotation extends Model<TbDemandQuotation> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 此模块对应的表名
	 */
	public static final String TABLE_NAME = "tb_demand_quotation";
	/**
	 * 此模块对应的权限码
	 */
	public static final String PERMISSION_CODE = "tb-demand-quotation";
	public static final String PERMISSION_CODE_ADD = "tb-demand-quotation-add";
	public static final String PERMISSION_CODE_EDIT = "tb-demand-quotation-edit";
	public static final String PERMISSION_CODE_DEL = "tb-demand-quotation-del";




	// ---------- 表中字段 ----------
	/**
	 * 一级市场组长需求报价表ID
	 */
	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 * 一级市场互市组组长ID(tb_people)
	 */
	private Long leaderId;
	/**
	 * 组ID
	 */
	private Long groupId;

	/**
	 * 组名称
	 */
	private String groupName;
	/**
	 *  联系电话
	 */
	private String linkPhone;

	/**
	 * 二级市场收购商需求表ID
	 */
	private Long demandId;

	/**
	 * 互市区ID
	 */
	private Long tradeAreaId;
	/**
	 * 互市区名称
	 */
	private String tradeAreaName;

	/**
	 * 报价(CNY)
	 */
	private Double quotation;

	/**
	 * 创建人编号
	 */
	private Long createBy;
	/**
	 * 二级市场收购商ID(tb_purchaser)
	 */
	private Long purchaserId;

	/**
	 * 创建人名称(报价人)
	 */
	private String createName;
	/**
	 * 组长备注
	 */
	private String remark;

	/**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;
	/**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date resultTime;

	/**
	 * 删除状态
	 */
	private Integer deleteStatus;

	/**
	 * 报价结果[0=待确认,1=确认,2=拒绝]
	 */
	private Integer quotationResult;








}
