package com.pj.tb_fee_item;

import java.io.Serializable;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_fee_item -- 费项管理
 * @author yzs 
 */
@Data
@Accessors(chain = true)
@TableName(TbFeeItem.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbFeeItem extends Model<TbFeeItem> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_fee_item";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-fee-item-list";
	public static final String PERMISSION_CODE_ADD = "tb-fee-item-add";
	public static final String PERMISSION_CODE_EDIT = "tb-fee-item-edit";
	public static final String PERMISSION_CODE_DEL = "tb-fee-item-del";




	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	private String id;

	/**
	 * 企业ID 
	 */
	private String companyId=null;

	/**
	 * 收费企业 
	 */
	private String companyName;	

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * 类型(1=按交易额收取,2=按次收取) 
	 */
	private String feeType;	

	/**
	 * 百分比fee_type=1时生效 
	 */
	private Double percent;	

	/**
	 * 收费金额 fee_type=2时生效 
	 */
	private Double feeMoney;	

	/**
	 * 状态(0=禁用,1=启用) 
	 */
	private Integer status=1;

	/**
	 * 创建时间 
	 */
	private Date createTime;	

	/**
	 * 更新者id 
	 */
	private String updateBy;	

	/**
	 * 更新者名称 
	 */
	private String updateByName;	

	/**
	 * 更新时间 
	 */
	private Date updateTime;	

	/**
	 * 更新人 
	 */
	private Long updateById;	





	


}
