package com.pj.tb_fee_item;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_fee_item -- 费项管理
 * @author yzs 
 */
@RestController
@RequestMapping("/TbFeeItem/")
public class TbFeeItemController {

	/** 底层 Service 对象 */
	@Autowired
	TbFeeItemService tbFeeItemService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(TbFeeItem.PERMISSION_CODE_ADD)
	public AjaxJson add(TbFeeItem t){
		tbFeeItemService.add(t);
		t = tbFeeItemService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(TbFeeItem.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbFeeItemService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbFeeItem.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(TbFeeItem.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(TbFeeItem.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbFeeItem t){
		tbFeeItemService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(TbFeeItem.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbFeeItem t = tbFeeItemService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(TbFeeItem.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<TbFeeItem> list = tbFeeItemService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}


	/** 改 - 状态(0=禁用,1=启用) */
	@RequestMapping("updateStatus")
	@SaCheckPermission(TbFeeItem.PERMISSION_CODE_EDIT)
	public AjaxJson updateStatus(String id, String value){
		int line = SP.publicMapper.updateColumnById(TbFeeItem.TABLE_NAME, "status", value, id);
		return AjaxJson.getByLine(line);
	}
	

	
	
	

}
