package com.pj.tb_goods_demand.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 08 03 16 27
 **/
@Data
@NoArgsConstructor
public class GoodsDemandVo {

    /**
     * 需求表主键
     */
    private Long goodsDemandId;

    /**
     * 报价表主键
     */
    private Long demandQuotationId;



    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 商品图片
     */
    private String goodsImg;

    /**
     * 计价单位
     */
    private String goodsUnit;

    /**
     * 商品编号
     */
    private String goodsNo;

    /**
     * 组Id
     */
    private Long groupId;
    /**
     *  组名
     */
    private String groupName;
    /**
     * 组长Id
     */
    private Long leaderId;
    /**
     * 组长名
     */
    private String createName;
    /**
     * 报价的时间
     */
    private Date createTime;
    /**
     * 价格
     */
    private Double quotation;
    /**
     * 备注
     */
    private String remark;

    /**
     * 是否被接单[0=待接单,1=已被接单]
     */
    private Integer isOrders;

    /**
     * 商品量(根据海关允许发布表的计量单位决定,例如:柜,KG,吨)
     */
    private String goodsQuantity;

    /**
     * 商品发布时间
     */
    private Date goodsDemandTime;

    /**
     * 到货时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date arrivalTime;

    /**
     * 一级市场海关允许售卖商品ID
     */
    private Long levelOneGoodsId;

    /**
     * 收件地址
     */
    private String addressName;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 收件人姓名
     */
    private String name;

    /**
     * 收购商是否确认:0=未确认,1=已确认
     */
    private Integer isConfirm;

    /**
     * 是否发布
     */
    private Integer isRelease;

    /**
     * 贸易区域id
     */
    private Long tradeAreaId;

    /**
     * 贸易区域名称
     */
    private String tradeAreaName;
}
