package com.pj.tb_purchaser_address.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Model: tb_purchaser_address -- 收购商个人地址管理表  入参表
 * @author qzy 
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TbPurchaserAddressParam {



	// ---------- 表中字段 ----------
	/**
	 * 收购商地址表主键ID 
	 */
	private Integer id;

	/**
	 * 该地址拥有者主键 
	 */
	@NotNull(message = "地址所属人不能为空")
	private Long owner;	

	/**
	 * 省 
	 */
	@NotNull(message = "省不能为空")
	private String province;	

	/**
	 * 市 
	 */
	@NotNull(message = "市不能为空")
	private String city;	

	/**
	 * 镇/区 
	 */
	@NotNull(message = "镇/区不能为空")
	private String town;	

	/**
	 * 街道 
	 */
	private String street;	

	/**
	 * 楼号 
	 */
	private String buildingNo;	

	/**
	 * 地址全称 
	 */
	private String addressName;	

	/**
	 * 邮编 
	 */
	private Integer postNum;	





	


}
