package com.pj.project.app_menu;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: app_menu -- app菜单管理
 * @author qzy
 */
@Data
@Accessors(chain = true)
@TableName(AppMenu.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class AppMenu extends Model<AppMenu> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 此模块对应的表名
	 */
	public static final String TABLE_NAME = "app_menu";
	/**
	 * 此模块对应的权限码
	 */
	public static final String PERMISSION_CODE = "app-menu";
	public static final String PERMISSION_CODE_ADD = "app-menu-add";
	public static final String PERMISSION_CODE_EDIT = "app-menu-edit";
	public static final String PERMISSION_CODE_DEL = "app-menu-del";




	// ---------- 表中字段 ----------
	/**
	 * 主键
	 */
	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 * 前端路径
	 */
	private String path;

	/**
	 * 菜单名称
	 */
	private String menuName;

	/**
	 * 图标
	 */
	private String icon;

	/**
	 * 排序
	 */
	private Integer sort;

	/**
	 * 状态(0=禁用,1=启用)
	 */
	private Integer enable=1;

	/**
	 * 是否认证后访问(0=否,1=是)
	 */
	private String auth;

	/**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;

	/**
	 * 创建人编号
	 */
	private String createBy;

	/**
	 * 创建人名称
	 */
	private String createName;

	/**
	 * 更新时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;

	/**
	 * 更新人编号
	 */
	private String updateBy;

	/**
	 * 更新人名称
	 */
	private String updateName;








}
