package com.pj.project.app_role;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: app_role -- 
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(AppRole.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class AppRole extends Model<AppRole> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "app_role";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "app-role";
	public static final String PERMISSION_CODE_ADD = "app-role-add";
	public static final String PERMISSION_CODE_EDIT = "app-role-edit";
	public static final String PERMISSION_CODE_DEL = "app-role-del";




	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 角色名称 
	 */
	private String roleName;	

	/**
	 * 创建时间 
	 */
	private String createTime;	

	/**
	 * 类型(1=边民,2=组长,3=商户,4=收购商,5=司机) 
	 */
	private String userType;	





	


}
