package com.pj.project.app_user_login_log;

import java.io.Serializable;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: app_user_login_log -- 移动端用户登录日志
 * @author lsw 
 */
@Data
@Accessors(chain = true)
@TableName(AppUserLoginLog.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class AppUserLoginLog extends Model<AppUserLoginLog> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "app_user_login_log";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "app-user-login-log";
	public static final String PERMISSION_CODE_ADD = "app-user-login-log-add";
	public static final String PERMISSION_CODE_EDIT = "app-user-login-log-edit";
	public static final String PERMISSION_CODE_DEL = "app-user-login-log-del";




	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 登录账户 
	 */
	private String userName;	

	/**
	 * 登录IP 
	 */
	private String loginIp;	

	/**
	 * 登录设备 
	 */
	private String deviceMode;	

	/**
	 * app版本号 
	 */
	private String appVersion;	

	/**
	 * 状态(0=账户错误,1=密码错误,2=登录成功); 
	 */
	private String status;	

	/**
	 * 创建时间 
	 */
	private Date createTime;	

	/**
	 * 删除状态(1=正常,0=删除); 
	 */
	private Integer deleteStatus;	





	


}
