package com.pj.project.tb_message;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_message -- 通知消息
 *
 * @author lsw
 */

@Mapper
@Repository
public interface TbMessageMapper extends BaseMapper<TbMessage> {


    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     *
     * @param so 参数集合
     * @return 数据列表
     */
    List<TbMessage> getList(SoMap so);


    /**
     * 设置消息已读
     *
     * @return
     */
    @Update("UPDATE tb_message SET is_read=1 WHERE user_id=#{userId}")
    boolean clearRead(@Param("userId") Long userId);

    @Select("SELECT count(id)AS count FROM tb_message WHERE is_read=0 AND user_id=#{userId}")
    Map<Object, String> getRead(@Param("userId") Long userId);
}
