package com.pj.project.tb_favorite_contacts;

import java.io.Serializable;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_favorite_contacts -- 常用联系人
 * @author lbl
 */
@Data
@Accessors(chain = true)
@TableName(TbFavoriteContacts.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbFavoriteContacts extends Model<TbFavoriteContacts> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 此模块对应的表名
	 */
	public static final String TABLE_NAME = "tb_favorite_contacts";
	/**
	 * 此模块对应的权限码
	 */
	public static final String PERMISSION_CODE = "tb-favorite-contacts";
	public static final String PERMISSION_CODE_ADD = "tb-favorite-contacts-add";
	public static final String PERMISSION_CODE_EDIT = "tb-favorite-contacts-edit";
	public static final String PERMISSION_CODE_DEL = "tb-favorite-contacts-del";




	// ---------- 表中字段 ----------
	/**
	 * 主键
	 */
	@TableId(type = IdType.AUTO)
	private Long id;

	/**
	 * 姓名
	 */
	private String name;

	/**
	 * 手机号
	 */
	private String phone;

	/**
	 * 联系地址
	 */
	private String address;

	/**
	 * 管理人(外联id,与app_user表的id相等)
	 */
	private Long fkAppUser;

	/**
	 * 创建时间
	 */
	private Date createTime;

	/**
	 * 创建者id
	 */
	private Long createBy;

	/**
	 * 创建者名称
	 */
	private String createName;

	/**
	 * 更新时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/**
	 * 更新者id
	 */
	private String updateBy;

	/**
	 * 更新者名称
	 */
	private String updateName;

	/**
	 * 删除状态
	 */
	private Integer deleteStatus;








}
